<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: CMDRSCHAINEDLISTITEM&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classCMDRSCHAINEDLISTITEM.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classCMDRSCHAINEDLISTITEM-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CMDRSCHAINEDLISTITEM&lt; T &gt; Class Template Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="Chain_8hpp_source.html">Chain.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a48983e4559b7865ad04ba0b23724259c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMDRSCHAINEDLISTITEM.html#a48983e4559b7865ad04ba0b23724259c">CMDRSCHAINEDLISTITEM</a> ()</td></tr>
<tr class="separator:a48983e4559b7865ad04ba0b23724259c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa4dd9b25f2fb55a906a2b052979e9cf2"><td class="memItemLeft" align="right" valign="top">T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMDRSCHAINEDLISTITEM.html#aa4dd9b25f2fb55a906a2b052979e9cf2">Obj</a></td></tr>
<tr class="separator:aa4dd9b25f2fb55a906a2b052979e9cf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57edf0e3c4df958d02e9ef2d8af67c05"><td class="memItemLeft" align="right" valign="top">CMDRSCHAINEDLISTITEM *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMDRSCHAINEDLISTITEM.html#a57edf0e3c4df958d02e9ef2d8af67c05">pNext</a></td></tr>
<tr class="separator:a57edf0e3c4df958d02e9ef2d8af67c05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class T&gt;<br />
class CMDRSCHAINEDLISTITEM&lt; T &gt;</h3>

<p>this is an item inside a <a class="el" href="classCMDRSCHAINEDLIST.html">CMDRSCHAINEDLIST</a>. </p>

<p class="definition">Definition at line <a class="el" href="Chain_8hpp_source.html#l00007">7</a> of file <a class="el" href="Chain_8hpp_source.html">Chain.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a48983e4559b7865ad04ba0b23724259c"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CMDRSCHAINEDLISTITEM&lt; T &gt;::CMDRSCHAINEDLISTITEM </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="Chain_8hpp_source.html#l00016">16</a> of file <a class="el" href="Chain_8hpp_source.html">Chain.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="aa4dd9b25f2fb55a906a2b052979e9cf2"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* CMDRSCHAINEDLISTITEM&lt; T &gt;::Obj</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Item address. </p>

<p class="definition">Definition at line <a class="el" href="Chain_8hpp_source.html#l00011">11</a> of file <a class="el" href="Chain_8hpp_source.html">Chain.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a57edf0e3c4df958d02e9ef2d8af67c05"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">CMDRSCHAINEDLISTITEM* CMDRSCHAINEDLISTITEM&lt; T &gt;::pNext</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Address of the next item. </p>

<p class="definition">Definition at line <a class="el" href="Chain_8hpp_source.html#l00013">13</a> of file <a class="el" href="Chain_8hpp_source.html">Chain.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="Chain_8hpp_source.html">Chain.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classCMDRSCHAINEDLISTITEM.html">CMDRSCHAINEDLISTITEM</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
